      program area
C.............................................................Sep 2019
C      CHARACTER*20 outfile
C	oufile='areares.txt'
	OPEN(10,file='areares.txt',access='APPEND')
    1  write(*,*) ' Enter glat1,glat2,dglon : deg.)'
	read(*,*) glat1,glat2,dglon
	GOTO 2  ! 1 case
C	dglon=5.          !dfi=2.5
c	dglon=2.          !dfi=2.
	dglon=1.          !dfi=1.
C	glat=-91.25		   !dfi=2.5
C	glat=-91.0		   !dfi=2.
	glat=-91.5		   !dfi=1.
C	DO i=1,71		    !dfi=2.5
C	DO i=1,90		    !dfi=2.
C++	DO i=1,180		    !dfi=1.
C	glat=glat+2.5		  !dfi=2.5
C	glat=glat+2.		  !dfi=2.
	glat=glat+1.		  !dfi=1.
	glat1=glat
C	glat2=glat1+2.5		    !dfi=2.5
C	glat2=glat1+2.		    !dfi=2.
	glat2=glat1+1.		    !dfi=1.
	alat=(glat1+glat2)/2.
   2	call subarea(glat1,glat2,dglon,cell)
	write(*,*) alat,cell
	write(10,*) alat,cell
C++     ENDDO
C	goto 1
       pause ' '
	STOP
	END
